(custom-set-variables  '(widget-skip-inactive t))

(defun my-widget-test ()
  (interactive)
  (switch-to-buffer "*My Widget Test*")
  (kill-all-local-variables)
  (let ((inhibit-read-only t))
    (erase-buffer))
  (remove-overlays)
  (setq my-radio-widget
	(widget-create 'radio-button-choice
		       '(item "One") '(item "Two")))
  (setq my-submit-button
	(widget-create 'push-button
		       :notify (lambda (widget &rest _)
				 (widget-apply my-radio-widget :deactivate)
				 (widget-apply my-reset-button :activate)
				 (widget-apply widget :deactivate))
		       "Submit"))
  (setq my-reset-button
	(widget-create 'push-button
		       :notify (lambda (widget &rest _)
				 (when (widget-value my-radio-widget)
				   (widget-value-set my-radio-widget nil))
				 (widget-apply my-radio-widget :activate)
				 (widget-apply my-submit-button :activate)
				 (widget-apply widget :deactivate))
		       "Reset"))
  (widget-apply my-reset-button :deactivate)
  (use-local-map widget-keymap)
  (widget-setup))
